"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _plugins = require("../../plugins");

var _table = _interopRequireDefault(require("../table"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default() {
  let table = (0, _table.default)(['Name', 'Author', 'Description'], (0, _plugins.listPlugins)().map(({
    name,
    author,
    description
  }) => {
    return [name, author ? author.name || "" : "", description];
  }));
  process.stdout.write(table.toString());
  process.stdout.write("\n");
  process.exit(0);
}