"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cli = exports.telegram = exports.channelsInfo = exports.storage = exports.session = exports.irc = exports.config = exports.bridge = void 0;

var bridge = _interopRequireWildcard(require("./bridge"));

exports.bridge = bridge;

var config = _interopRequireWildcard(require("./config"));

exports.config = config;

var irc = _interopRequireWildcard(require("./irc"));

exports.irc = irc;

var session = _interopRequireWildcard(require("./session"));

exports.session = session;

var storage = _interopRequireWildcard(require("./storage"));

exports.storage = storage;

var channelsInfo = _interopRequireWildcard(require("./channelsinfo"));

exports.channelsInfo = channelsInfo;

var telegram = _interopRequireWildcard(require("./telegram"));

exports.telegram = telegram;

var cli = _interopRequireWildcard(require("./cli"));

exports.cli = cli;

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }