"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _plugins = require("../../plugins");

var _debug = _interopRequireDefault(require("debug"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const debug = (0, _debug.default)('cli.plugins.install');

function _default(query, args) {
  if (typeof query !== "string") {
    process.stderr.write(`Inválid name`);
    process.exit(1);
  }

  debug('Installing', query);
  (0, _plugins.installPlugin)(query, args.enable || false).then(() => {
    process.stdout.write(`Success\n`);
    process.exit(0);
  }).catch(err => {
    process.stderr.write(`${err.message}\n`);
    process.exit(2);
  });
}